<?php
namespace Zeedhi\DevOps\Model\Projectmanagement\Repositories;

use Doctrine\ORM\EntityRepository;

class Allocation extends EntityRepository {

	public function getAllocationByTaskAndResource($taskId, $resourceId){
		$query = <<<SQL
		  SELECT A.*,PT.ALLOWENDTASK,TO_CHAR(TAS.END_DATE, 'YYYYMMDD')AS INT_TASK_END_DATE,TO_CHAR(TAS.END_DATE, 'DD/MM/YYYY')AS TASK_END_DATE
			FROM ALLOCATION A
			JOIN TASK TAS ON (A.TASK = TAS.ID)
            JOIN      PROJECT PR ON (PR.ID = TAS.PROJECT)
       LEFT JOIN PROJECT_TYPE PT ON (PT.ID = PR.PROJECT_TYPE)
		   WHERE A.TASK = :taskId AND A.RESOURCE_T = :resourceId
SQL;
		$params = array(
			'taskId' => $taskId,
			'resourceId' => $resourceId
		);
		return $this->getEntityManager()->getConnection()->fetchAll($query, $params);
	}

}